aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGravatar Thomas Petazzoni <thomas.petazzoni@free-electrons.com>2014-02-24 00:16:01 +0100
committerGravatar Peter Korsgaard <peter@korsgaard.com>2014-02-24 09:04:21 +0100
commitb7740b32f6fd595dcd4bb51b5b51a50758141dcc (patch)
tree5d3a78bc68bd3d6cfdc931db0186d420aa266f91
parent4a270de1e3ac9811ae82c257931b9583b2697035 (diff)
downloadbuildroot-b7740b32f6fd595dcd4bb51b5b51a50758141dcc.tar.gz
buildroot-b7740b32f6fd595dcd4bb51b5b51a50758141dcc.tar.bz2
libsecret: not available on AVR32, compiler error
libsecret does built on AVR32 due an internal compiler error, and since it's unlikely that gcc will ever be upgraded on AVR32, we simply mark this package as not available. The only reverse dependency of libsecret is webkit, which already cannot be selected on AVR32. Fixes: http://autobuild.buildroot.org/results/2d4/2d41f97378f06d0f3922e078ec0d02549690d4c1/ Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
-rw-r--r--package/libsecret/Config.in3
1 files changed, 3 insertions, 0 deletions
diff --git a/package/libsecret/Config.in b/package/libsecret/Config.in
index 70f1fe7eb9..9a21d2eac9 100644
--- a/package/libsecret/Config.in
+++ b/package/libsecret/Config.in
@@ -4,6 +4,8 @@ config BR2_PACKAGE_LIBSECRET
depends on BR2_USE_WCHAR # gettext dep in libglib2
depends on BR2_TOOLCHAIN_HAS_THREADS # libglib2
depends on BR2_USE_MMU # libglib2
+ # Triggers an internal compiler error on AVR32
+ depends on !BR2_avr32
help
libsecret is a library for storing and retrieving passwords and other
secrets. It communicates with the "Secret Service" using DBus.
@@ -13,5 +15,6 @@ config BR2_PACKAGE_LIBSECRET
https://wiki.gnome.org/Libsecret
comment "libsecret needs a toolchain w/ wchar, threads"
+ depends on !BR2_avr32
depends on BR2_USE_MMU
depends on !BR2_USE_WCHAR || !BR2_TOOLCHAIN_HAS_THREADS